export const registerEraserIndicators = () => {

  /**
   * Registers the layout indicator configuration with the Navigation+ tool indicators manager.
   */
  if (typeof window.registerToolIndicatorConfig === 'function') {
    const eraserIndicators = [
      {
        type: 'section',
        icon: drupalSettings.navigationPlus.toolIndicators.icons['eraser'] ?? null,
        handlers: {
          onClick: (e) => {
            const sectionUuid = e.target.closest('.layout-builder__section').id;
            const url = drupalSettings.navigationPlus.toolIndicators.links.eraser[sectionUuid];

            Drupal.NavigationPlus.ModePluginBase.dialog({
              url: url,
              width: 600,
              message: Drupal.t('Deleting section...'),
            });
          },
        },
      },
      {
        type: 'block',
        icon: drupalSettings.navigationPlus.toolIndicators.icons['eraser'] ?? null,
        handlers: {
          onClick: (e) => {
            const blockUuid = e.target.closest('[data-layout-builder-block-uuid]').dataset.layoutBuilderBlockUuid;
            const url = drupalSettings.navigationPlus.toolIndicators.links.remove_block[blockUuid];

            Drupal.NavigationPlus.ModePluginBase.dialog({
              url: url,
              width: 600,
              message: Drupal.t('Deleting block...'),
            });
          },
        },
      },
    ];

    window.registerToolIndicatorConfig('eraser', eraserIndicators);
  }
};
