export const editLayoutBlock = (url) => {
  let ajax = Drupal.NavigationPlus.ModePluginBase.ajax({
    url: url,
    type: 'GET',
    dataType: 'text',
    progress: {
      type: 'fullscreen',
      message: Drupal.t('Loading block layout...')
    },
    error: error => {
      document.querySelectorAll('.ajax-progress').forEach(progress => {
        progress.remove();
      });
      console.info('Attempted to load a Layout Builder UI for a nested layout block');
      console.info(url);
      console.info(error.responseText);
    },
    success: (response, status) => {
      Promise.resolve(
        Drupal.Ajax.prototype.success.call(ajax, response, status)
      );
    }
  });
  ajax.execute();

  // Don't allow the change tool in nested layouts.
  const currentTool = window.currentTool();
  if (currentTool === 'edit_plus') {
    Drupal.NavigationPlus.ModeManager.getPlugin('edit').changeTool('pointer');
  }

}
