import { registerNewBlockDropzones } from './dropzones/new-block-dropzones.js';
import { registerNewSectionDropzones } from './dropzones/new-section-dropzones.js';

(($, Drupal, once, displace) => {

  /**
   * Place block Navigation+ tool plugin
   */
  class PlaceBlockToolPlugin extends Drupal.NavigationPlus.ToolPluginBase {
    id = 'place_block';
    enable() {
      this.openSideBar();
      return super.enable();
    }
    async disable() {
      this.closeSideBar();
      return super.disable();
    }
    openSideBar() {
      // Open the sidebar, remember the state, and set the toggle button rotation.
      const sidebar = this.getSideBar();
      sidebar.classList.remove('navigation-plus-hidden');
      sidebar.setAttribute('data-offset-left', '');
      document.cookie = 'lbPlusSidebar=open; path=/';
      displace();
    };

    closeSideBar() {
      // Close the sidebar, remember the state, and set the toggle button rotation.
      const sidebar = this.getSideBar();
      sidebar.classList.add('navigation-plus-hidden');
      sidebar.removeAttribute('data-offset-left');
      document.cookie = 'lbPlusSidebar=closed; path=/';
      displace();
    };

    getSideBar() {
      return document.getElementById('place_block-left-sidebar');
    };
  }

  Drupal.NavigationPlus.ToolManager.registerPlugin(new PlaceBlockToolPlugin());
  registerNewBlockDropzones();
  registerNewSectionDropzones();

})(jQuery, Drupal, once, Drupal.displace);

